Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.cluster
Interface Member

All Superinterfaces:
  PropertiesCreator

All Known Subinterfaces:
  ReportMember

    public interface Member

extends PropertiesCreator

The `Member` interface represents a member in a cluster.

Since:
  5.0

Method Summary
`boolean` | `equals(Member mem)` Deprecated. As of JReport version 5.1
`boolean` | `equals(java.lang.Object obj)` Compares this member to a specified member.
`int` | `getBackupPriority()` Deprecated. no replacement. As of 10.0.
`java.lang.String` | `getHost()` Returns the host name or IP address of the member server.
`int` | `getID()` Returns the ID of the member server, the member ID is unique identity in cluster.
`java.lang.String` | `getPort()` Returns the port number of the member server.
`java.lang.String` | `getServerName()` Returns the member server name.
`boolean` | `isAdmin()` Deprecated. no replacement. As of 10.0
`boolean` | `isBackupAdmin()` Deprecated. no replacement. As of 10.0

Methods inherited from interface jet.server.api.PropertiesCreator
`toProperties`

Method Detail

### equals

    boolean equals(java.lang.Object obj)

  Compares this member to a specified member. The result is true if and only if the argument is not null and is a Member object that has the same id and host and port as this member.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the Member object to compare this Member.
  Returns:
    true if two member are equal, false otherwise.

### equals

    boolean equals(Member mem)

  Deprecated. As of JReport version 5.1

  Compares this member to a specified member. The result is true if and only if the argument is not null and is a Member object that has the same host and port as this member.

  Parameters:
    `mem` - the Member object to compare this Member.
  Returns:
    true if two member are equal, false otherwise.

### isAdmin

    boolean isAdmin()

  Deprecated. no replacement. As of 10.0

  Checks if this is admin server.

  Returns:
    if this is admin server.

### isBackupAdmin

    boolean isBackupAdmin()

  Deprecated. no replacement. As of 10.0

  Checks if this is backup admin server.

  Returns:
    if this is backup admin server.

### getBackupPriority

    int getBackupPriority()

  Deprecated. no replacement. As of 10.0.

  Gets backup priority, If admin server was crashed, the server that has highest priority in active backup servers will promote itself to admin server. Priority value is a non-negative integer. "0" represents the highest priority, value "0" is reserved for admin server (if admin server was crashed, and before it restarts, a backup server has promoted to admin server, original admin server has to start as backup server, it need a backup priority).

  Returns:
    backup priority, if server is not a backup server or admin server, return -1.

### getServerName

    java.lang.String getServerName()

  Returns the member server name.

  Returns:
    the member server name.

### getHost

    java.lang.String getHost()

  Returns the host name or IP address of the member server.

  Returns:
    the host name or IP address of the member server.

### getPort

    java.lang.String getPort()

  Returns the port number of the member server.

  Returns:
    the port number of the member server.

### getID

    int getID()

  Returns the ID of the member server, the member ID is unique identity in cluster.

  Returns:
    the ID of the member.
  Since:
    10.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD